## BudgiePlugin BudgiePlugin — Main entry point for Budgie Panel Applets |

## Functions

BudgieApplet * | budgie_plugin_get_panel_widget ()

## Object Hierarchy

        GInterface
        ╰── BudgiePlugin

## Description

The BudgiePlugin provides the main entry point for modules that wish to extend the functionality of the Budgie Panel. In reality, the vast majority of the work is actually implemented in BudgieApplet.

Implementations must implement the budgie_plugin_get_panel_widget method, and provide a new instance of their implementation of the BudgieApplet:

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    static BudgieApplet *my_type_get_panel_widget(BudgiePlugin *self, gchar *uuid)
    {
            return my_applet_new(uuid);
    }

    static void my_class_init(GObjectClass *klass)
    {
            MyClass *mc = MY_CLASS(klass);
            ...
            mc->get_panel_widget = my_type_get_panel_widget;
    }

In Vala we would achieve like so:

    1
    2
    3
    4
    public Budgie.Applet get_panel_widget(string uuid)
    {
        return new MyApplet();
    }

## Functions

### budgie_plugin_get_panel_widget ()

    BudgieApplet *
    budgie_plugin_get_panel_widget (BudgiePlugin *self,
                                    gchar *uuid);

#### Parameters

self | A BudgiePlugin |
uuid | UUID for this new instance |

#### Returns

A newly initialised panel widget.

[transfer full]

## Types and Values